Bug 735620 - general protection fault in nouveau
Summary: general protection fault in nouveau
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nouveau
Version: 15
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ben Skeggs
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-04 09:15 UTC by David Juran
Modified: 2018-04-11 10:01 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-08-05 15:59:04 UTC


Attachments (Terms of Use)
Debug info (55.28 KB, application/bzip2)
2011-10-14 15:30 UTC, Nicolas Troncoso Carrere
no flags Details

Description David Juran 2011-09-04 09:15:11 UTC
Description of problem:
Out of the blue, machine crashed with the following traceback:

Sep  3 23:07:00 localhost kernel: [ 6139.056732] general protection fault: 0000 [#1] SMP 
Sep  3 23:07:00 localhost kernel: [ 6139.057007] CPU 1 
Sep  3 23:07:00 localhost kernel: [ 6139.057007] Modules linked in: tcp_lp fuse ip6table_filter ip6_tables ebtable_nat ebtables sunrpc cpufreq_ondemand powernow_k8 freq_table mperf rfcomm bnep snd_intel8x0 snd_ac97_codec edac_core ac97_bus btusb snd_seq snd_pcm snd_timer bluetooth forcedeth ppdev snd_page_alloc edac_mce_amd ns558 k8temp rfkill snd_mpu401 snd_mpu401_uart snd_rawmidi snd_seq_device snd parport_pc i2c_nforce2 parport gameport soundcore asus_atk0110 ipv6 firewire_ohci firewire_core pata_acpi ata_generic crc_itu_t sata_nv pata_amd nouveau ttm drm_kms_helper drm i2c_algo_bit i2c_core mxm_wmi wmi video [last unloaded: scsi_wait_scan]
Sep  3 23:07:00 localhost kernel: [ 6139.057007] 
Sep  3 23:07:00 localhost kernel: [ 6139.057007] Pid: 1792, comm: gnome-shell Not tainted 2.6.40.3-0.fc15.x86_64 #1 System manufacturer System Product Name/A8N-SLI
Sep  3 23:07:00 localhost kernel: [ 6139.057007] RIP: 0010:[<ffffffffa0090fbf>]  [<ffffffffa0090fbf>] nouveau_fence_update+0x35/0xc3 [nouveau]
Sep  3 23:07:00 localhost kernel: [ 6139.057007] RSP: 0018:ffff88006c757b18  EFLAGS: 00010217
Sep  3 23:07:00 localhost kernel: [ 6139.057007] RAX: 317fffff00000002 RBX: ffff880037b80888 RCX: 0000000000000000
Sep  3 23:07:00 localhost kernel: [ 6139.057007] RDX: 0000000000000000 RSI: 0000000000000000 RDI: ffff880037b808e0
Sep  3 23:07:00 localhost kernel: [ 6139.057007] RBP: ffff88006c757b48 R08: ffffc9000037c000 R09: ffff88001ae02200
Sep  3 23:07:00 localhost kernel: [ 6139.057007] R10: 0000000000000024 R11: 0000000000000004 R12: ffff880060827040
Sep  3 23:07:00 localhost kernel: [ 6139.057007] R13: ffff880037b808e8 R14: ffff88006c7d1730 R15: 0000000000000000
Sep  3 23:07:00 localhost kernel: [ 6139.057007] FS:  00007f30316379c0(0000) GS:ffff88007fd00000(0000) knlGS:00000000f774a870
Sep  3 23:07:00 localhost kernel: [ 6139.057007] CS:  0010 DS: 0000 ES: 0000 CR0: 000000008005003b
Sep  3 23:07:00 localhost kernel: [ 6139.057007] CR2: 00007f30200db000 CR3: 000000006c6e3000 CR4: 00000000000006e0
Sep  3 23:07:00 localhost kernel: [ 6139.057007] DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
Sep  3 23:07:00 localhost kernel: [ 6139.057007] DR3: 0000000000000000 DR6: 00000000ffff0ff0 DR7: 0000000000000400
Sep  3 23:07:00 localhost kernel: [ 6139.057007] Process gnome-shell (pid: 1792, threadinfo ffff88006c756000, task ffff88006c7d1730)
Sep  3 23:07:00 localhost kernel: [ 6139.057007] Stack:
Sep  3 23:07:00 localhost kernel: [ 6139.057007]  ffff880060827740 ffff880060827740 ffff880060827740 00000000000003e8
Sep  3 23:07:00 localhost kernel: [ 6139.057007]  ffff88006c7d1730 0000000000000000 ffff88006c757b68 ffffffffa00912bd
Sep  3 23:07:00 localhost kernel: [ 6139.057007]  0000000000000000 0000000000000000 ffff88006c757bd8 ffffffffa0091316
Sep  3 23:07:00 localhost kernel: [ 6139.057007] Call Trace:
Sep  3 23:07:00 localhost kernel: [ 6139.057007]  [<ffffffffa00912bd>] __nouveau_fence_signalled+0x1e/0x26 [nouveau]
Sep  3 23:07:00 localhost kernel: [ 6139.057007]  [<ffffffffa0091316>] __nouveau_fence_wait+0x51/0xe2 [nouveau]
Sep  3 23:07:00 localhost kernel: [ 6139.057007]  [<ffffffffa0031f17>] ? drm_mm_get_block_generic+0x40/0x51 [drm]
Sep  3 23:07:00 localhost kernel: [ 6139.057007]  [<ffffffffa0091544>] nouveau_fence_sync+0x19d/0x54f [nouveau]
Sep  3 23:07:00 localhost kernel: [ 6139.057007]  [<ffffffffa0091ca6>] validate_list+0x53/0x2bf [nouveau]
Sep  3 23:07:00 localhost kernel: [ 6139.057007]  [<ffffffffa0092958>] nouveau_gem_ioctl_pushbuf+0x638/0xd15 [nouveau]
Sep  3 23:07:00 localhost kernel: [ 6139.057007]  [<ffffffffa00287f7>] drm_ioctl+0x29e/0x37b [drm]
Sep  3 23:07:00 localhost kernel: [ 6139.057007]  [<ffffffffa0092320>] ? nouveau_gem_ioctl_new+0x18d/0x18d [nouveau]
Sep  3 23:07:00 localhost kernel: [ 6139.057007]  [<ffffffff811f6290>] ? inode_has_perm+0x32/0x34
Sep  3 23:07:00 localhost kernel: [ 6139.057007]  [<ffffffff811f6339>] ? file_has_perm+0xa7/0xc9
Sep  3 23:07:00 localhost kernel: [ 6139.057007]  [<ffffffff81134e06>] do_vfs_ioctl+0x460/0x4a1
Sep  3 23:07:00 localhost kernel: [ 6139.057007]  [<ffffffff81134e9d>] sys_ioctl+0x56/0x79
Sep  3 23:07:00 localhost kernel: [ 6139.057007]  [<ffffffff81488a26>] ? do_device_not_available+0xe/0x10
Sep  3 23:07:00 localhost kernel: [ 6139.057007]  [<ffffffff8148e182>] system_call_fastpath+0x16/0x1b
Sep  3 23:07:00 localhost kernel: [ 6139.057007] Code: 41 54 53 41 54 66 66 66 66 90 4c 8b 27 48 89 fb 48 8d 7f 58 4c 8d 6b 60 e8 f7 69 3f e1 4c 39 6b 60 74 28 49 8b 84 24 48 03 00 00 
Sep  3 23:07:00 localhost kernel: [ 6139.057007] RIP  [<ffffffffa0090fbf>] nouveau_fence_update+0x35/0xc3 [nouveau]
Sep  3 23:07:00 localhost kernel: [ 6139.057007]  RSP <ffff88006c757b18>
Sep  3 23:07:00 localhost kernel: [ 6139.088476] ---[ end trace 17e6e13c599e8452 ]---


Version-Release number of selected component (if applicable):
kernel-2.6.40.3-0.fc15

How reproducible:
Only happened once

Comment 1 Matěj Cepl 2011-09-07 14:53:42 UTC
Thanks for the bug report.  We have reviewed the information you have provided above, and there is some additional information we require that will be helpful in our diagnosis of this issue.

Please add drm.debug=0x04 to the kernel command line, restart computer, and attach

* your X server config file (/etc/X11/xorg.conf, if available),
* X server log file (/var/log/Xorg.*.log*; check with grep Backtrace /var/log/Xorg* which logs might be the most interesting ones, send us at least Xorg.0.log)
* system log (/var/log/messages)

to the bug report as individual uncompressed file attachments using the bugzilla file attachment link above.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.

Comment 2 Nicolas Troncoso Carrere 2011-10-14 15:28:16 UTC
I just go hit with this same issue:

General artifacts.
Then a kernel oops.

I've notice the artifacts happen (more often) when using dual display (VGA).

I've also notice there a re a couple of automated reports that seem similar:
Bug 708841
Bug 713942
Bug 715263
Bug 723286

xorg-x11-drv-nouveau-0.0.16-24.20110324git8378443.fc15.x86_64
Linux leanansihde 2.6.40.6-0.fc15.x86_64 #1 SMP Tue Oct 4 00:39:50 UTC 2011 x86_64 x86_64 x86_64 GNU/Linux

uptime more oe less 5 days, no suspends in between.
I'll attach a tar ball with syslog-oops, lspci, dmesg with drm.debug

please let me know if anything else is required.

Comment 3 Nicolas Troncoso Carrere 2011-10-14 15:30:27 UTC
Created attachment 528228 [details]
Debug info

Comment 4 Nicolas Troncoso Carrere 2011-10-14 15:32:48 UTC
crap my last 2 comments are on the wron bug. They should be in Bug 705821	
sorry for the noise will re-submit there.

Comment 5 David Juran 2012-08-05 15:59:04 UTC
Didn't manage to reproduce this issue in reasonable time, F15 is dead I no longer have access to this hardware so I'm closing this issue.


Note You need to log in before you can comment on or make changes to this bug.